Bug 150329 - CAN-2005-0762 Buffer overflow in SGI parser
CAN-2005-0762 Buffer overflow in SGI parser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=moderate,public=20040609,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 12:01 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 22:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-04 12:01:10 EST
+++ This bug was initially created as a clone of Bug #150327 +++

A heap overflow when parsing SGI files with ImageMagick. AFAIK, SGI codec is one
of 'internal' codecs of IM and is enabled by default.

* fixed in 6.0.2

The patch for this issue is attachment 111671 [details]
The demo exploit for this issue is attachment 111672 [details]
Comment 1 Matthias Clasen 2005-03-18 22:01:02 EST
Fixed by moving to 6.2.0

Note You need to log in before you can comment on or make changes to this bug.